Bug 1007687 - wildfly: incorrect symlink
Summary: wildfly: incorrect symlink
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wildfly
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Goldmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-13 06:51 UTC by Michal Srb
Modified: 2013-09-27 00:35 UTC (History)
2 users (show)

Fixed In Version: jboss-logging-tools-1.2.0-0.1.Beta1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-27 00:35:39 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1008605 0 unspecified CLOSED Missing .jar files in the org.jboss.jts module 2021-02-22 00:41:40 UTC

Internal Links: 1008605

Description Michal Srb 2013-09-13 06:51:36 UTC
Description of problem:

server.log contains following line:
Caused by: java.lang.ClassNotFoundException: com.arjuna.common.internal.util.propertyservice.BeanPopulator from [Module "org.jboss.jts:main" from local module loader @a62e15c (finder: local module finder @61b96457 (roots: /usr/share/wildfly/modules,/usr/share/wildfly/modules/system/layers/base))]

Upstream wildfly has this class in narayana-jts-jacorb-5.0.0.M3.jar, but symlink in Fedora points to /usr/share/java/narayana/arjuna.jar instead of /usr/share/java/narayana/narayana-jts-jacorb.jar. 

I have tried to feed wildfly with narayana-jts-jacorb.jar and it seems to fix the problem.

Note this might be a bug in xmvn-subst.

Version-Release number of selected component (if applicable):
wildfly-8.0.0-0.7.Alpha3

How reproducible:
always

Steps to Reproduce:
1. systemctl start wildfly.service
2. see /var/log/wildfly/standalone/server.log

Comment 1 Marek Goldmann 2013-09-13 07:00:54 UTC
Thanks, I'll fix this today.

Comment 2 Marek Goldmann 2013-09-13 07:01:36 UTC
And yes, this is bug in xmvn :)

Comment 3 Mikolaj Izdebski 2013-09-13 09:38:07 UTC
(In reply to Marek Goldmann from comment #2)
> And yes, this is bug in xmvn :)

Can you elaborate on that or file a bug report?

Comment 4 Marek Goldmann 2013-09-13 13:50:18 UTC
I'll hold on with fixing this issue. I'm going to push Alpha4 soon.

Comment 5 Fedora Update System 2013-09-18 06:52:40 UTC
jboss-logging-tools-1.2.0-0.1.Beta1.fc20,jbossws-cxf-4.2.0-1.fc20,narayana-5.0.0-0.3.M3.fc20,weld-core-2.0.3-1.fc20,qpid-proton-0.5-3.fc20,xml-maven-plugin-1.0-9.fc20,jboss-modules-1.3.0-0.1.Beta3.fc20,jandex-1.1.0-1.fc20,geronimo-validation-1.1-10.fc20,aesh-0.33.7-1.fc20,jansi-1.11-3.fc20,jansi-native-1.5-1.fc20,undertow-1.0.0-0.4.Beta7.fc20,jboss-logmanager-1.5.1-1.fc20,jboss-parent-11-1.fc20,hornetq-2.4.0-0.1.Beta1.fc20,jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20,jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20,wildfly-8.0.0-0.9.Alpha4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jboss-logging-tools-1.2.0-0.1.Beta1.fc20,jbossws-cxf-4.2.0-1.fc20,narayana-5.0.0-0.3.M3.fc20,weld-core-2.0.3-1.fc20,qpid-proton-0.5-3.fc20,xml-maven-plugin-1.0-9.fc20,jboss-modules-1.3.0-0.1.Beta3.fc20,jandex-1.1.0-1.fc20,geronimo-validation-1.1-10.fc20,aesh-0.33.7-1.fc20,jansi-1.11-3.fc20,jansi-native-1.5-1.fc20,undertow-1.0.0-0.4.Beta7.fc20,jboss-logmanager-1.5.1-1.fc20,jboss-parent-11-1.fc20,hornetq-2.4.0-0.1.Beta1.fc20,jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20,jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20,wildfly-8.0.0-0.9.Alpha4.fc20

Comment 6 Fedora Update System 2013-09-18 17:46:06 UTC
Package jboss-logging-tools-1.2.0-0.1.Beta1.fc20, jbossws-cxf-4.2.0-1.fc20, narayana-5.0.0-0.3.M3.fc20, weld-core-2.0.3-1.fc20, qpid-proton-0.5-3.fc20, xml-maven-plugin-1.0-9.fc20, jboss-modules-1.3.0-0.1.Beta3.fc20, jandex-1.1.0-1.fc20, geronimo-validation-1.1-10.fc20, aesh-0.33.7-1.fc20, jansi-1.11-3.fc20, jansi-native-1.5-1.fc20, undertow-1.0.0-0.4.Beta7.fc20, jboss-logmanager-1.5.1-1.fc20, jboss-parent-11-1.fc20, hornetq-2.4.0-0.1.Beta1.fc20, jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20, jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20, wildfly-8.0.0-0.9.Alpha4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jboss-logging-tools-1.2.0-0.1.Beta1.fc20 jbossws-cxf-4.2.0-1.fc20 narayana-5.0.0-0.3.M3.fc20 weld-core-2.0.3-1.fc20 qpid-proton-0.5-3.fc20 xml-maven-plugin-1.0-9.fc20 jboss-modules-1.3.0-0.1.Beta3.fc20 jandex-1.1.0-1.fc20 geronimo-validation-1.1-10.fc20 aesh-0.33.7-1.fc20 jansi-1.11-3.fc20 jansi-native-1.5-1.fc20 undertow-1.0.0-0.4.Beta7.fc20 jboss-logmanager-1.5.1-1.fc20 jboss-parent-11-1.fc20 hornetq-2.4.0-0.1.Beta1.fc20 jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20 jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20 wildfly-8.0.0-0.9.Alpha4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17102/jboss-logging-tools-1.2.0-0.1.Beta1.fc20,jbossws-cxf-4.2.0-1.fc20,narayana-5.0.0-0.3.M3.fc20,weld-core-2.0.3-1.fc20,qpid-proton-0.5-3.fc20,xml-maven-plugin-1.0-9.fc20,jboss-modules-1.3.0-0.1.Beta3.fc20,jandex-1.1.0-1.fc20,geronimo-validation-1.1-10.fc20,aesh-0.33.7-1.fc20,jansi-1.11-3.fc20,jansi-native-1.5-1.fc20,undertow-1.0.0-0.4.Beta7.fc20,jboss-logmanager-1.5.1-1.fc20,jboss-parent-11-1.fc20,hornetq-2.4.0-0.1.Beta1.fc20,jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20,jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20,wildfly-8.0.0-0.9.Alpha4.fc20
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-09-27 00:35:39 UTC
jboss-logging-tools-1.2.0-0.1.Beta1.fc20, jbossws-cxf-4.2.0-1.fc20, narayana-5.0.0-0.3.M3.fc20, weld-core-2.0.3-1.fc20, qpid-proton-0.5-3.fc20, xml-maven-plugin-1.0-9.fc20, jboss-modules-1.3.0-0.1.Beta3.fc20, jandex-1.1.0-1.fc20, geronimo-validation-1.1-10.fc20, aesh-0.33.7-1.fc20, jansi-1.11-3.fc20, jansi-native-1.5-1.fc20, undertow-1.0.0-0.4.Beta7.fc20, jboss-logmanager-1.5.1-1.fc20, jboss-parent-11-1.fc20, hornetq-2.4.0-0.1.Beta1.fc20, jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20, jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20, wildfly-8.0.0-0.9.Alpha4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.